[Library Effect]
Lifetime=5
Display Name=Afterburner
Version=2.00
Priority=0

[Properties]
Cockpit=1
VirtualCockpit=1
Spot=1
Tower=1
Map=1

//---------------------------------------------------------------------------------------------------------------------------//
//--- NOTE
//--- This not meant to be a full implementation of Luis da Costa Pereira's work. It is meant only
//--- to be an improvement on the default AI burner effect for MAIW aircraft.
//--- 
//--- The base of this file has been modified so many times that it is difficult to say exactly
//--- who did what, however I do think that the people that I know that have been involved
//--- sometime in the past should be acknowledged for their pioneering. 
//--- So in no particular order :-
//--- Jan Rosenberg  (original KO F-16 effects)
//--- Henry Tomkiewicz and Graham King (for creating the HTAI F-16 effects)
//--- Michael MacIntyre for (graphics and code work)
//--- David Bryce and Stephen Vernava (IRIS for allowing payware effects to be used as freeware)
//--- Lus da Costa Pereira (graphics and inspiration)
//--- 
//--- Steve Holland  May 2007
//--- 
//----------------------------------------------------------------------------------------------------------------------------//


//====================================== BURNER ========================================//


[Emitter.0]
Lifetime=0.30, 0.30
Delay=40.00, 40.50  //-----------sequencing delay (seconds)
Bounce=0.00
No Interpolate=1
Rate=110.00, 110.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=3.00, 3.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=0.0, 0.0 //-----spacing of "light" components

[Particle.0]
Lifetime=39.000, 40.000
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.70, 0.70
Fade Out=0.7, 0.7
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.0]
Blend Mode=2
Texture=fx_burner1.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=18, 16, 4, 101
Color End=18, 8, 3, 0
//Color Start=4, 10, 18, 1
//Color End=3, 2, 18, 0
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=1.00, 1.00
X Scale Goal=1.15
Y Scale Goal=1.15
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.1]
Lifetime=0.30, 0.30
Delay=40.50, 41.00  //-----------sequencing delay (seconds)
Bounce=0.00
No Interpolate=1
Rate=110.00, 110.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=3.00, 3.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-0.05, -0.05 //-----spacing of "light" components

[Particle.1]
Lifetime=38.000, 39.000
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.9, 0.90
Fade Out=0.9, 0.9
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.1]
Blend Mode=2
Texture=fx_burner2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=18, 16, 4, 101
Color End=18, 8, 3, 0
//Color Start=10, 9, 29, 1
//Color End=6, 10, 18, 0
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=1.00, 1.00
X Scale Goal=1.15
Y Scale Goal=1.15
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00



[Emitter.2]
Lifetime=0.50, 0.50
Delay=41.00, 41.50  //-----------sequencing delay (seconds)
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.00, 0.00  //----------offset from zero datum
Z Offset=-0.100, -0.100 //-----spacing of "light" components

[Particle.2]
Lifetime=37.000, 38.000
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.2]
Blend Mode=2
Texture=fx_burner3.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=60, 26, 28, 102
Color End=18, 8, 6, 0
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.0, 0.0
uv2=1.0, 1.0
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00



[Emitter.3]
Lifetime=0.50, 0.50
Delay=42.00, 42.00  //-----------sequencing delay (seconds)
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-0.2, -0.2 //-----spacing of "light" components

[Particle.3]
Lifetime=37.000, 38.000
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.3]
Blend Mode=2
Texture=fx_aniburner3a.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=60, 26, 28, 132
Color End=18, 8, 6, 0
//Color Start=28, 30, 60, 22
//Color End=8, 8, 16, 0
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
FPS=20.00
TextureSize=256
CellSize=64
CellStart=0
CellEnd=7
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00



[Emitter.4]
Lifetime=0.50, 0.50
Delay=42.05, 42.05  //-----------sequencing delay (seconds)
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-0.3, -0.3 //-----spacing of "light" components

[Particle.4]
Lifetime=37.00, 37.00
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.4]
Blend Mode=2
Texture=Fx_aniburner3a.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
//Color Start=60, 34, 2, 32
Color Start=30, 18, 2, 132
Color End=  20, 10, 2, 2
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
FPS=20.00
TextureSize=256
CellSize=64
CellStart=0
CellEnd=7   
X Scale Goal=1.15
Y Scale Goal=1.15
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.5]
Lifetime=0.50, 0.50
Delay=42.105, 42.105  //-----------sequencing delay (seconds)
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-0.4, -0.4 //-----spacing of "light" components

[Particle.5]
Lifetime=37.00, 37.00
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.5]
Blend Mode=2
Texture=Fx_aniburner3a.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=30, 18, 2, 132
Color End=  20, 10, 2, 2
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
FPS=20.00
TextureSize=256
CellSize=64
CellStart=0
CellEnd=7   
X Scale Goal=1.15
Y Scale Goal=1.15
Z Scale Goal=0.00
Extrude Length=1.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00

//=================================== END OF  BURNER =====================================//

//======================================= RINGS ========================================//


[Emitter.6]//------------------- Ring A
Lifetime=0.50, 0.50
Delay=42.110, 42.110  //-----------sequencing delay (seconds) +0.005 for every ring
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-0.5, -0.5 //-----spacing of "light" components   plus -0.1 for each ring

[Particle.6]
Lifetime=37.00, 37.00
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.6]
Blend Mode=2
Texture=fx_aniburner1a.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=60, 26, 28, 202
Color End=18, 8, 6, 0
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
FPS=20.00
TextureSize=256
CellSize=64
CellStart=0
CellEnd=7       
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.7]//------------------- Ring B
Lifetime=0.50, 0.50
Delay=42.115, 42.115  //-----------sequencing delay (seconds) +0.005 for every ring
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-0.6, -0.6 //-----spacing of "light" components   plus -0.1 for each ring

[Particle.7]
Lifetime=37.00, 37.00
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.7]
Blend Mode=2
Texture=fx_aniburner1a.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=60, 26, 28, 202
Color End=18, 8, 6, 0
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
FPS=20.00
TextureSize=256
CellSize=64
CellStart=0
CellEnd=7       
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.8]//------------------- Ring C
Lifetime=0.50, 0.50
Delay=42.120, 42.120  //-----------sequencing delay (seconds) +0.005 for every ring
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-0.7, -0.7 //-----spacing of "light" components   plus -0.1 for each ring

[Particle.8]
Lifetime=37.00, 37.00
Type=19
X Scale=0.275, 0.275
Y Scale=0.275, 0.275
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=0, 0, 0

[ParticleAttributes.8]
Blend Mode=2
Texture=fx_aniburner1a.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=60, 26, 28, 202
Color End=18, 8, 6, 0
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
FPS=20.00
TextureSize=256
CellSize=64
CellStart=0
CellEnd=7       
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00



//====================================  END OF RINGS =====================================//

//======================================= FLAME ========================================//


[Emitter.9]//---------------- Flame A Blue
Lifetime=0.50, 0.50
Delay=42.220, 42.220  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.1 for every Flame 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-0.80, -0.80 //-----spacing of "light" components   -0.25 before first diamond then every 0.5

[Particle.9]
Lifetime=37.00, 37.00
Type=19
X Scale=1.5, 1.5
Y Scale=1.5, 1.5
Z Scale=4.00, 4.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.9]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=    4,     3,       40,      255
//Color Start=30, 12, 2, 255
Color End=0,0,0,255 //---can be zeros if "color rate" above is zero
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.10]//---------------- Flame B Blue
Lifetime=0.50, 0.50
Delay=42.320, 42.320  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.1 for every Flame 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-1.30, -1.30 //-----spacing of "light" components   -0.25 before first diamond then every 0.5

[Particle.10]
Lifetime=37.00, 37.00
Type=19
X Scale=1.5, 1.5
Y Scale=1.5, 1.5
Z Scale=4.00, 4.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.10]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=    4,     3,       40,      255
//Color Start=30, 12, 2, 255
Color End=0,0,0,255 //---can be zeros if "color rate" above is zero
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.11]//---------------- Flame C Blue
Lifetime=0.50, 0.50
Delay=42.420, 42.420  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.1 for every Flame 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-1.80, -1.80 //-----spacing of "light" components   -0.25 before first diamond then every 0.5

[Particle.11]
Lifetime=37.00, 37.00
Type=19
X Scale=1.5, 1.5
Y Scale=1.5, 1.5
Z Scale=4.00, 4.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.11]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=    4,     3,       40,      255
//Color Start=30, 12, 2, 255
Color End=0,0,0,255 //---can be zeros if "color rate" above is zero
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.12]//---------------- Flame D Blue
Lifetime=0.50, 0.50
Delay=42.520, 42.520  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.1 for every Flame 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-2.30, -2.30 //-----spacing of "light" components   -0.25 before first diamond then every 0.5

[Particle.12]
Lifetime=37.00, 37.00
Type=19
X Scale=1.5, 1.5
Y Scale=1.5, 1.5
Z Scale=4.00, 4.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.12]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=    4,     3,       40,      255
//Color Start=30, 12, 2, 255
Color End=0,0,0,255 //---can be zeros if "color rate" above is zero
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.13]//---------------- Flame E Blue
Lifetime=0.50, 0.50
Delay=42.620, 42.620  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.1 for every Flame 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-2.80, -2.80 //-----spacing of "light" components   -0.25 before first diamond then every 0.5

[Particle.13]
Lifetime=37.00, 37.00
Type=19
X Scale=1.3, 1.3
Y Scale=1.3, 1.3
Z Scale=4.00, 4.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.13]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=    4,     3,       40,      255
//Color Start=30, 12, 2, 255
Color End=0,0,0,255 //---can be zeros if "color rate" above is zero
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.14]//---------------- Flame F Blue
Lifetime=0.50, 0.50
Delay=42.720, 42.720  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.1 for every Flame 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-3.30, -3.30 //-----spacing of "light" components   -0.25 before first diamond then every 0.5

[Particle.14]
Lifetime=37.00, 37.00
Type=19
X Scale=1.3, 1.3
Y Scale=1.3, 1.3
Z Scale=4.00, 4.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.14]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=    4,     3,       40,      255
//Color Start=30, 12, 2, 255
Color End=0,0,0,255 //---can be zeros if "color rate" above is zero
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.15]//---------------- Flame G Blue
Lifetime=0.50, 0.50
Delay=42.820, 42.820  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.1 for every Flame 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-3.80, -3.80 //-----spacing of "light" components   -0.25 before first diamond then every 0.5

[Particle.15]
Lifetime=37.00, 37.00
Type=19
X Scale=1.1, 1.1
Y Scale=1.1, 1.1
Z Scale=4.00, 4.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.15]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=    4,     3,       40,      255
//Color Start=30, 12, 2, 255
Color End=0,0,0,255 //---can be zeros if "color rate" above is zero
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00





//==================================== END OF  FLAME =====================================//

//================================  SHOCK CONE DIAMONDS ==================================//


[Emitter.16]//------------------- Shock Diamond A Orange
Lifetime=0.50, 0.50
Delay=42.320, 42.320  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.2 for every Diamond 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-1.05, -1.05 //-----spacing of "light" components   last diamond plus 1.0

[Particle.16]
Lifetime=37.00, 37.00
Type=19
//X Scale=1.2, 1.2
//Y Scale=1.2, 1.2
X Scale=0.4, 0.4
Y Scale=0.4, 0.4
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.16]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=40, 23, 2, 12
Color End=  20, 10, 2, 2
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
//uv1=0.00, 0.00
//uv2=0.50, 0.50
uv1=0.50, 0.00
uv2=0.75, 0.25
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.17]//------------------- Shock Diamond B Orange
Lifetime=0.50, 0.50
Delay=42.520, 42.520  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.2 for every Diamond 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-2.05, -2.05 //-----spacing of "light" components   last diamond plus 1.0

[Particle.17]
Lifetime=37.00, 37.00
Type=19
//X Scale=1.2, 1.2
//Y Scale=1.2, 1.2
X Scale=0.4, 0.4
Y Scale=0.4, 0.4
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.17]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=40, 23, 2, 12
Color End=  20, 10, 2, 2
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
//uv1=0.00, 0.00
//uv2=0.50, 0.50
uv1=0.50, 0.00
uv2=0.75, 0.25
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00


[Emitter.18]//------------------- Shock Diamond C Orange
Lifetime=0.50, 0.50
Delay=42.720, 42.720  //-----------sequencing delay (seconds)    last ring plus 0.1 then plus 0.2 for every Diamond 
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Rotation=0.00, 0.00
Y Rotation=0.00, 0.00
Z Rotation=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.0, 0.0  //----------offset from zero datum
Z Offset=-3.05, -3.05 //-----spacing of "light" components   last diamond plus 1.0

[Particle.18]
Lifetime=37.00, 37.00
Type=19
//X Scale=1.1, 1.1
//Y Scale=1.1, 1.1
X Scale=0.35, 0.35
Y Scale=0.35, 0.35
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00  //-----controls start-color/end-color(percent of lifetime)
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.18]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
//----------------max value 255 for each-------------------------
//-------------red----green----blue----alpha---------------------
Color Start=40, 23, 2, 12
Color End=  20, 10, 2, 2
//---------------------------------------------------------------
Jitter Distance=0.00
Jitter Time=0.00
//uv1=0.00, 0.00
//uv2=0.50, 0.50
uv1=0.50, 0.00
uv2=0.75, 0.25
X Scale Goal=0
Y Scale Goal=0
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00






//================================ END SHOCK CONE DIAMONDS ===============================//

//===================================== BLACK LIGHT  =====================================//


[Emitter.19]
Lifetime=0.50, 0.50
Delay=0.00, 0.00
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=1.00, 1.00

[Particle.19]
Lifetime=0.00, 0.00
Type=19
X Scale=1.00, 1.00
Y Scale=1.00, 1.00
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.19]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
Color Start=0,0,0,0
Color End=0,0,0,0
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0.00
Y Scale Goal=0.00
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00

[Emitter.20]
Lifetime=0.50, 0.50
Delay=0.00, 0.00
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=1.00, 1.00

[Particle.20]
Lifetime=0.00, 0.00
Type=19
X Scale=0.40, 0.40
Y Scale=0.40, 0.40
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.20]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
Color Start=0,0,0,0
Color End=0,0,0,0
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0.00
Y Scale Goal=0.00
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00

[Emitter.21]
Lifetime=0.50, 0.50
Delay=0.00, 0.00
Bounce=0.00
No Interpolate=1
Rate=1.00, 1.00
X Emitter Velocity=0.00, 0.00
Y Emitter Velocity=0.00, 0.00
Z Emitter Velocity=0.00, 0.00
Drag=0.00, 0.00
X Particle Velocity=0.00, 0.00
Y Particle Velocity=0.00, 0.00
Z Particle Velocity=0.00, 0.00
X Offset=0.00, 0.00
Y Offset=0.00, 0.00
Z Offset=1.00, 1.00

[Particle.21]
Lifetime=0.00, 0.00
Type=19
X Scale=0.25, 0.25
Y Scale=0.25, 0.25
Z Scale=0.00, 0.00
X Scale Rate=0.00, 0.00
Y Scale Rate=0.00, 0.00
Z Scale Rate=0.00, 0.00
Drag=0.00, 0.00
Color Rate=0.00, 0.00
Fade In=0.00, 0.00
Fade Out=0.00, 0.00
Rotation=0.00, 0.00
Static=1
Face=1, 1, 1

[ParticleAttributes.21]
Blend Mode=2
Texture=fx_2.bmp
Bounce=0.00
Color Start=0,0,0,0
Color End=0,0,0,0
Jitter Distance=0.00
Jitter Time=0.00
uv1=0.00, 0.00
uv2=0.50, 0.50
X Scale Goal=0.00
Y Scale Goal=0.00
Z Scale Goal=0.00
Extrude Length=0.00
Extrude Pitch Max=0.00
Extrude Heading Max=0.00

//===================================  END OF BLACK LIGHT =================================//


